Get FPP Server Details
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers/{fppServerId}
Gets the details of the FPP server including clients and REST users
Request
Path Parameters
-
fppServerId(required): string
ID of the FPP server
Query Parameters
-
expand: string
restUsers | clients | properties are possible valuesAllowed Values:
[ "restUsers", "clients", "properties" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. FPP server registration details retrieved.
Root Schema : FppServer
Type:
objectFPP server registration summary
Show Source
-
clients: array
clients
Client details registered with the FPP server
-
links: object
FppServerLinks
Subresource links for the FPP server details
-
properties: array
properties
Property details registered with the FPP server
-
restUsers: array
restUsers
REST user details registered with the FPP server
-
targetId: string
ID of the cluster target, where the FPP server is running
-
totalClients: integer
Total count of clients registered with the FPP server
-
totalProperties: integer
Total count of properties registered with the FPP server
-
totalRestUsers: integer
Total count of REST users registered with the FPP server
Match All
FPP server registration summary
Show Source
Nested Schema : FppServerLinks
Type:
objectSubresource links for the FPP server details
Show Source
-
clients(required): object
Link
It represents a Link
-
properties(required): object
Link
It represents a Link
-
restUsers(required): object
Link
It represents a Link
-
self(required): object
Link
It represents a Link
Nested Schema : properties
Type:
arrayProperty details registered with the FPP server
Show Source
-
Array of:
object PropertySummary
Details of the property
Nested Schema : restUsers
Type:
arrayREST user details registered with the FPP server
Show Source
-
Array of:
object CreateRestUserDetails
Details of REST user
Nested Schema : schema
Type:
objectTarget details
Show Source
-
targetName: string
Name of the targetExample:
sales_db1 -
targetType: string
Type of the targetExample:
oracle_database
Nested Schema : items
Type:
Show Source
object-
targetId: string
ID of the FPP client target
Match All
Show Source
Nested Schema : PropertySummary
Type:
objectDetails of the property
Show Source
-
name(required): string
Name of the property
-
value(required): string
Value of the property
Nested Schema : CreateRestUserDetails
Type:
objectDetails of REST user
Show Source
-
password(required): string
(password)
Password to create the REST credential in EM, which is required to make a call to the FPP REST URLExample:
welcome1 -
username(required): string
REST username to be registered with the FPP server
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message